Bug 113673 - Filter WMF: fix for WMF images is not adopted by Slide Show mode (LO 6 Alpha 1 only)
Summary: Filter WMF: fix for WMF images is not adopted by Slide Show mode (LO 6 Alpha ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: EMF-WMF
  Show dependency treegraph
 
Reported: 2017-11-06 06:54 UTC by Mike
Modified: 2018-11-16 03:42 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
test case (524.31 KB, application/vnd.openxmlformats-officedocument.presentationml.slideshow)
2017-11-06 06:54 UTC, Mike
Details
Screenshots and description (734.65 KB, application/pdf)
2017-11-06 06:55 UTC, Mike
Details
screencast (2.31 MB, video/avi)
2017-11-06 06:55 UTC, Mike
Details
New test case (77.79 KB, application/vnd.oasis.opendocument.presentation)
2017-11-11 06:09 UTC, Mike
Details
description with screen shots (320.23 KB, application/pdf)
2017-11-11 06:10 UTC, Mike
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike 2017-11-06 06:54:24 UTC
Description:
If I open the attached file (a PPTS) with LO 6 alpha 1, the presentation starts. On the first slide is the logo of the university rendered wrong.
If I now open the context menu and click on "Edit presentation", the logo on this (same!) slide is show correctly.

Steps to Reproduce:
1. Open PPTS (Presentation starts)
2. Open context menu
3. Click "Edit Presentation


Actual Results:  
LO 6 renders the WMF diffently in presentation and editing mode

Expected Results:
It should be rendered the same.


Reproducible: Always


User Profile Reset: No


OpenGL enabled: Yes

Additional Info:
Version: 6.0.0.0.alpha1+ (x64)
Build ID: 9ea8686d3573540b697b51d1e2e00bfe2d57d872
CPU threads: 4; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2017-10-29_07:23:44
Locale: de-DE (de_DE); Calc: CL


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:56.0) Gecko/20100101 Firefox/56.0
Comment 1 Mike 2017-11-06 06:54:42 UTC
Created attachment 137556 [details]
test case
Comment 2 Mike 2017-11-06 06:55:15 UTC
Created attachment 137557 [details]
Screenshots and description
Comment 3 Mike 2017-11-06 06:55:37 UTC
Created attachment 137558 [details]
screencast
Comment 4 Mohamed 2017-11-08 09:12:10 UTC
I don’t know if I am right or not, if no please provide steps to reproduce.

The issue is partially reproducing. When I used your attached document it was messy. I tried to use it in another impress document that I have, only few line texts are messed up but the autoplay mode doesn’t start.

Steps to reproduce :

1- Create a new Impress file with two or three test slides
2- Save as « Microsoft PowerPoint 2007-2013 XML Autoplay (.ppsx)
3-Close the file.
4-Open the file again.

Actual results :
The file open on the edit mode and the text is messed up.

Expected result :
The file should start in Show mode and the text keep the format.

Testing environment:
    • Operating system : Windows 8.1 Pro 64-bits.
    • LibreOffice : Version: 5.4.3.1 (x64)
      Build ID: 32c8895c6cae21571f364dbb059f419a743ee44d
      CPU threads: 4; OS: Windows 6.29; UI render: default; 
      Locale: en-US (en_US); Calc: group
Comment 5 Mike 2017-11-11 06:09:34 UTC
Created attachment 137676 [details]
New test case
Comment 6 Mike 2017-11-11 06:10:39 UTC
Created attachment 137677 [details]
description with screen shots
Comment 7 Mike 2017-11-11 06:15:06 UTC
I'm sorry, I was not specific enough. I investigated the issue and found out that is not about the PPTS format, but about a fix in the WMF image format.

The alpha1 build of LO 6 contains a fix for images of the WMF file format.

The attached test case „Test Case WMF in Slide.odp“ is a presentation with a WMF, which is affected by this fix.

If you just open this presentation, the WMF looks right, but if you start the Slide Show („Slide Show“ → „Start from first slide“), the WMF is shown messed up.

Here is a step by step list:

1. Please open the presentation „Test Case WMF in Slide.odp“ that is attached to this bug report with LO 6 alpha1. (In earlier builds of LO 6 or LO 5 the issue with the logo is in Editing Mode and in Presentation Mode).
2. Please click on the menu „Slide Show“ and then „Start from the first slide“.
3. The Slide Show starts and the logo (a WMF image) is messed up. The image is rendered the way it was rendered before the fix in LO6 Alpha1.


Version: 6.0.0.0.alpha1+ (x64)
Build ID: a5af0fd9f27af42cf2e8571f659cdad6e606215b
CPU threads: 4; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2017-11-07_00:30:02
Locale: de-DE (de_DE); Calc: group

To reproduce this, you need a version of LO 6 Alpha1 (fix is only there present).
Comment 8 Buovjaga 2017-11-15 14:34:31 UTC
Confirmed.

Arch Linux 64-bit
Version: 6.0.0.0.alpha1+
Build ID: 17cfe6e25d479428de308c22fcd218dcf8827840
CPU threads: 8; OS: Linux 4.13; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on November 15th 2017
Comment 9 QA Administrators 2018-11-16 03:42:35 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug